pcl::TextureMesh Struct Reference

`#include <pcl/TextureMesh.h>`

## Public Types

typedef boost::shared_ptr< pcl::TextureMesh > | Ptr
typedef boost::shared_ptr< pcl::TextureMesh const > | ConstPtr

## Public Member Functions

| TextureMesh ()

## Public Attributes

pcl::PCLPointCloud2 | cloud
pcl::PCLHeader | header
std::vector< std::vector< pcl::Vertices > > | tex_polygons
std::vector< std::vector< Eigen::Vector2f > > | tex_coordinates
std::vector< pcl::TexMaterial > | tex_materials

## Detailed Description

Author
  Khai Tran

Definition at line 91 of file TextureMesh.h.

## Member Typedef Documentation

typedef boost::shared_ptr<pcl::TextureMesh const> pcl::TextureMesh::ConstPtr

Definition at line 106 of file TextureMesh.h.

typedef boost::shared_ptr<pcl::TextureMesh> pcl::TextureMesh::Ptr

Definition at line 105 of file TextureMesh.h.

## Constructor & Destructor Documentation

pcl::TextureMesh::TextureMesh | ( |  | ) |

inline

Definition at line 93 of file TextureMesh.h.

## Member Data Documentation

pcl::PCLPointCloud2 pcl::TextureMesh::cloud

Definition at line 96 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::TextureMapping< PointInT >::removeOccludedPoints(), pcl::TextureMapping< PointInT >::showOcclusions(), pcl::TextureMapping< PointInT >::sortFacesByCamera(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

pcl::PCLHeader pcl::TextureMesh::header

Definition at line 97 of file TextureMesh.h.

std::vector<std::vector<Eigen::Vector2f> > pcl::TextureMesh::tex_coordinates

Definition at line 101 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

std::vector<pcl::TexMaterial> pcl::TextureMesh::tex_materials

Definition at line 102 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), and pcl::TextureMapping< PointInT >::mapTexture2MeshUV().

std::vector<std::vector<pcl::Vertices> > pcl::TextureMesh::tex_polygons

Definition at line 100 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::TextureMapping< PointInT >::removeOccludedPoints(), pcl::TextureMapping< PointInT >::sortFacesByCamera(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/TextureMesh.h